#
# spec file for package python-SoundCard
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define         skip_python2 1
Name:           python-SoundCard
Version:        0.2.2
Release:        lp151.1.24
Summary:        Python package to play and record audio
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/bastibe/SoundCard
Source0:        https://files.pythonhosted.org/packages/py3/S/SoundCard/SoundCard-%{version}-py3-none-any.whl
Source100:      python-SoundCard-rpmlintrc
BuildRequires:  %{python_module cffi}
BuildRequires:  %{python_module numpy}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pip}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       pulseaudio
Requires:       python-cffi
Requires:       python-numpy
BuildArch:      noarch

%python_subpackages

%description
SoundCard is a library for playing and recording audio without
resorting to a CPython extension. Instead, it is implemented using
CFFI and the native audio libraries of Linux, Windows and macOS.

SoundCard is cross-platform, and supports Linux/pulseaudio,
Mac/coreaudio, and Windows/WASAPI. While the interface is identical
across platforms, naming schemes and block sizes can vary between
devices and platforms.

%prep
%setup -T -c

%build
# Not Needed

%install
%python_expand pip%{$python_bin_suffix} install --root=%{buildroot} %{SOURCE0}
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license %{python_sitelib}/SoundCard-%{version}.dist-info/LICENSE
%{python_sitelib}/SoundCard-%{version}.dist-info
%{python_sitelib}/soundcard/

%changelog
* Thu Jan  3 2019 Todd R <toddrme2178@gmail.com>
- README not needed anymore, license is in wheel
* Sat Dec 22 2018 Todd R <toddrme2178@gmail.com>
- Update to 0.2.2
  * adds Sphinx/Readthedocs documentation
- Update to 0.2.1
  * adds bug fix for IPython on Windows (Thank you, Sebastian Michel!)
* Tue Nov  6 2018 Jan Engelhardt <jengelh@inai.de>
- Remove information from description that is subject to be out of
  date anytime, as well as development process instructions.
* Mon Nov  5 2018 Todd R <toddrme2178@gmail.com>
- Some wording cleanups.
* Wed Oct 31 2018 Todd R <toddrme2178@gmail.com>
- Initial version
